#!/bin/sh -efu

a= . install2-init-functions

fc-conf --antialias enable --autohint disable --hinting disable --hintstyle disable --rgba rgb

echo 'XCONSOLE=no' >> $destdir/etc/sysconfig/xinitrc

cat >> $destdir/etc/X11/xdm/GiveConsole << __EOF__
/sbin/start-stop-daemon --stop -p /var/run/xdm-buttons.pid
__EOF__


cat > $destdir/etc/X11/xdm/Xsetup_0 <<'__EOF__'
#!/bin/sh
# (C) MandrakeSoft
# Chmouel Boudjnah <chmouel@mandrakesoft.com>

# Source function library.
. /etc/init.d/functions

SourceIfNotEmpty /etc/profile.d/kde.sh
SourceIfNotEmpty /etc/sysconfig/xinitrc

[ -n "$KDEDIR" ] || KDEDIR=/usr
[ -n "$XSETROOT" ] || XSETROOT='xsetroot -solid #666699'
[ -n "$XCONSOLE" ] || XCONSOLE='yes'

if [ -x $KDEDIR/bin/kdmdesktop ];then
#      /usr/bin/kdmdesktop
# Commented above line and added next line because of kdedesktop issues 
# fixes background.
	$XSETROOT
else
/usr/bin/qiv --root_s /usr/share/wallpapers/default.jpg
#	$XSETROOT
	is_yes "$XCONSOLE" &&
		xconsole -geometry 480x130-0-0 -daemon -notify -verbose -fn fixed -exitOnFail
fi

pidfile=/var/run/xdm-buttons.pid

/usr/bin/wish <<EOF &
#!/usr/bin/wish

wm geometry . +0-0
button .halt -background #190F0F -foreground #FFFFFF -borderwidth 1 -font monospace:size=12 -text Shutdown \
-command {exec /sbin/poweroff}
button .reboot -background #190F0F -foreground #FFFFFF -width 8 -borderwidth 1 -font monospace:size=12 -text Reboot \
-command {exec /sbin/reboot}
pack .halt .reboot -side left -fill both
EOF
 
echo $!>$pidfile


ExecIfExecutable /etc/X11/xinit/fixkeyboard
__EOF__
